#include "vxBoot/terminal.h"

/* define the user log level */
int user_log_level = LOG_INFO;

int terminal_log(int level, const char *format, ...)
{
	va_list ap;
	int nb;

	if (level > user_log_level)
		return (0);

	va_start(ap, format);
	nb = terminal_vwrite(format, ap);
	va_end(ap);

	if (level == LOG_DEBUG) {
		int tmp;
		terminal_read(&tmp, 4);
	}

	return (nb);
}
